/*
 * SetValueMapUnitTest.hpp
 *
 *  Created on: Jun 27, 2012
 *      Author: heber
 */

#ifndef SETVALUEMAPUNITTEST_HPP_
#define SETVALUEMAPUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>

#include "Fragmentation/Summation/SetValueMap.hpp"

/********************************************** Test classes **************************************/

class SetValueMapTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( SetValueMapTest) ;
    CPPUNIT_TEST ( addValueTest );
    CPPUNIT_TEST ( getValueTest );
    CPPUNIT_TEST ( removeValueTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void addValueTest();
      void getValueTest();
      void removeValueTest();

private:
      SetValueMap<int> setmap;

};

#endif /* SETVALUEMAPUNITTEST_HPP_ */
